Package com.salesforce.datacloud.jdbc.util

## Interface ThrowingSupplier<T,​E extends Exception>

    public interface ThrowingSupplier<T,​E extends Exception>

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods
`T` `get()`
`static <T,​E extends Exception> LongSupplier` `rethrowLongSupplier​(ThrowingSupplier<T,​E> function)`
`static <T,​E extends Exception,​R> Supplier<Stream<R>>` `rethrowSupplier​(ThrowingSupplier<T,​E> function)`

### Method Detail

#### get

    T get()
    throws E extends Exception

Throws:
  `E extends Exception`

#### rethrowSupplier

    static <T,​E extends Exception,​R> Supplier<Stream<R>> rethrowSupplier​(ThrowingSupplier<T,​E> function)
                                                                              throws E extends Exception

Throws:
  `E extends Exception`

#### rethrowLongSupplier

    static <T,​E extends Exception> LongSupplier rethrowLongSupplier​(ThrowingSupplier<T,​E> function)
                                                                   throws E extends Exception

Throws:
  `E extends Exception`